org.apache.ignite.internal.pagemem.wal.record

## Class EncryptedRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.EncryptedRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class EncryptedRecord
    extends WALRecord
    implements WalRecordCacheGroupAware

Encrypted record from WAL. That types of record returned from a `RecordDataSerializer` on offline WAL iteration.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`EncryptedRecord(int grpId, WALRecord.RecordType plainRecType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`WALRecord.RecordType` `plainRecordType()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EncryptedRecord

    public EncryptedRecord(int grpId,
                           WALRecord.RecordType plainRecType)

Parameters:
  `grpId` - Group id
  `plainRecType` - Plain record type.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### groupId

    public int groupId()

Specified by:
  `groupId` in interface `WalRecordCacheGroupAware`
Returns:
  Cache group ID.

#### plainRecordType

    public WALRecord.RecordType plainRecordType()

Returns:
  Type of plain record.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022